Openapi
Create API key
Authorization
BearerAuth AuthorizationBearer <token>
JWT access token for REST API endpoints (user-facing apps).
Authorization: Bearer <jwt_access_token>Tokens expire after 15 minutes. Use the refresh token to obtain a new one.
In: header
Header Parameters
X-API-Version?string
Date-based minor version negotiation (e.g. 2026-07-01).
If omitted, the latest version is used.
Match
^\d{4}-\d{2}-\d{2}$Idempotency-Key?string
UUID v4 or arbitrary string (max 255 chars) to prevent duplicate
processing of retried requests. When the same key is sent with the
same request body, the original response is returned with an
X-Idempotent-Replay: true header. If the same key is sent with
a different body, a 409 Conflict is returned.
Length
length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/integrations/api-keys" \ -H "Content-Type: application/json" \ -d '{ "key_name": "string", "scopes": [ "string" ] }'{ "success": true, "data": { "id": 0, "key_name": "string", "client_id": 0, "user_id": 0, "scopes": [ "string" ], "is_active": true, "expires_at": "2019-08-24T14:15:22Z", "ip_allowlist": [ "string" ], "display_name": "string", "avatar_url": "string", "created_at": "2019-08-24T14:15:22Z", "last_used_at": "2019-08-24T14:15:22Z", "api_key": "string" }}